Index: bsps/x86_64/amd64/start/linkcmds
===================================================================
--- bsps/x86_64/amd64/start/linkcmds	(revision bc7313134f8192214cf74116c0b54d3eb6081fcf)
+++ bsps/x86_64/amd64/start/linkcmds	(revision 5f5bbd10fbf8dc48e107c1b9a3fe548b13f43390)
@@ -17,4 +17,5 @@
           "elf64-x86-64")
 OUTPUT_ARCH(i386:x86-64)
+STARTUP(start.o)
 ENTRY(_start)
 
Index: bsps/x86_64/amd64/start/start.S
===================================================================
--- bsps/x86_64/amd64/start/start.S	(revision 5f5bbd10fbf8dc48e107c1b9a3fe548b13f43390)
+++ bsps/x86_64/amd64/start/start.S	(revision 5f5bbd10fbf8dc48e107c1b9a3fe548b13f43390)
@@ -0,0 +1,41 @@
+/*
+ * SPDX-License-Identifier: BSD-2-Clause
+ *
+ * Copyright (C) 2018 embedded brains GmbH
+ *
+ * Redistribution and use in source and binary forms, with or without
+ * modification, are permitted provided that the following conditions
+ * are met:
+ * 1. Redistributions of source code must retain the above copyright
+ *    notice, this list of conditions and the following disclaimer.
+ * 2. Redistributions in binary form must reproduce the above copyright
+ *    notice, this list of conditions and the following disclaimer in the
+ *    documentation and/or other materials provided with the distribution.
+ *
+ * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
+ * AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
+ * IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
+ * ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS BE
+ * LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
+ * CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
+ * SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
+ * INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
+ * CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
+ * ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
+ * POSSIBILITY OF SUCH DAMAGE.
+ */
+
+	.text
+	.section	.text._start,"ax",@progbits
+	.p2align 4,,15
+	.globl	_start
+	.type	_start, @function
+_start:
+	.cfi_startproc
+	movabsq	$_ISR_Stack_area_end, %rsp
+	subq	$8, %rsp
+	.cfi_def_cfa_offset 16
+	xorl	%edi, %edi
+	movabsq	$boot_card, %rax
+	call	*%rax
+	.cfi_endproc
Index: bsps/x86_64/amd64/start/start.c
===================================================================
--- bsps/x86_64/amd64/start/start.c	(revision bc7313134f8192214cf74116c0b54d3eb6081fcf)
+++ 	(revision )
@@ -1,36 +1,0 @@
-/*
- * Copyright (c) 2018.
- * Amaan Cheval <amaan.cheval@gmail.com>
- *
- * Redistribution and use in source and binary forms, with or without
- * modification, are permitted provided that the following conditions
- * are met:
- * 1. Redistributions of source code must retain the above copyright
- *    notice, this list of conditions and the following disclaimer.
- * 2. Redistributions in binary form must reproduce the above copyright
- *    notice, this list of conditions and the following disclaimer in the
- *    documentation and/or other materials provided with the distribution.
- *
- * THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS ``AS IS'' AND
- * ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
- * IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
- * ARE DISCLAIMED.  IN NO EVENT SHALL THE AUTHOR OR CONTRIBUTORS BE LIABLE
- * FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
- * DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
- * OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
- * HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
- * LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
- * OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
- * SUCH DAMAGE.
- */
-
-#include <bsp.h>
-#include <start.h>
-#include <bsp/bootcard.h>
-
-// XXX: _start can pass boot arguments to boot_card
-// https://lists.rtems.org/pipermail/devel/2018-June/022123.html
-void _start(void)
-{
-  boot_card("");
-}
